Fehlermeldungen

ich bekomme leider bei folgenden validierungen keine Fehlermeldungen.
Kann mir jemand sagen ob es dafür überhaupt welche gibt und ob die auch
so heißen?

validates_filesize_of :bildname, :in => 1.kilobytes…1.megabyte,
:too_large_message => “ist zu gross.”
validates_file_format_of :bildname, :in => [“gif”, “jpg”, “png”, “bmp”],
:message => “ist kein gültiges Format”
file_column :bildname, :magick => { :versions => { “profilbild” =>
“148x147”, “thumb” => “60x60” } }

Ich bekomme leider -->

Bildname is larger than the allowed size range.
Bildname is not a valid format.
Bildname invalid image

Also generell gilt, das man alles was Rails zur Verfügung stellt unter
http://api.rubyonrails.org/ findet. Auf der Seite einfach z.B. mit der
Suchfunktion Deines Browsers suchen.

Für Uploads empfiehlt es sich auch hier wieder ein Plugin einzusetzen.
In diesem Fall “attachment_fu”:
http://github.com/technoweenie/attachment_fu/tree/master

Viel Erfolg :slight_smile:

Gruß
Sven

Am Freitag, den 25.07.2008, 14:46 +0200 schrieb Rene P.:

ich habe schon das Plugin file_column in verwendung.
Nur ich komme mit den Fehlermeldungen nicht klar, dass diese auch auf
deutsch sind. Das ist das einzige Problem.

Sven J. wrote:

Also generell gilt, das man alles was Rails zur Verfügung stellt unter
http://api.rubyonrails.org/ findet. Auf der Seite einfach z.B. mit der
Suchfunktion Deines Browsers suchen.

Für Uploads empfiehlt es sich auch hier wieder ein Plugin einzusetzen.
In diesem Fall “attachment_fu”:
http://github.com/technoweenie/attachment_fu/tree/master

Viel Erfolg :slight_smile:

Gruß
Sven

Am Freitag, den 25.07.2008, 14:46 +0200 schrieb Rene P.:

Danke werde ich machen.

Andreas R. wrote:

Hallo,

2008/7/25 Rene P. [email protected]:

ich habe schon das Plugin file_column in verwendung.
Nur ich komme mit den Fehlermeldungen nicht klar, dass diese auch auf
deutsch sind. Das ist das einzige Problem.

Ein Plugin namens Globalize macht dies “automatisch”. Schau es Dir
einmal an.

Andreas

Hallo,

2008/7/25 Rene P. [email protected]:

ich habe schon das Plugin file_column in verwendung.
Nur ich komme mit den Fehlermeldungen nicht klar, dass diese auch auf
deutsch sind. Das ist das einzige Problem.

Ein Plugin namens Globalize macht dies “automatisch”. Schau es Dir
einmal an.

Andreas

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs